The classy-prelude package

[Tags: library, mit]

Focuses on using common typeclasses when possible, and creating new ones to avoid name clashing. Exposes many recommended datastructures (Map, ByteString, etc) directly without requiring long import lists and qualified modules.


Properties

Versions0.1.0.0, 0.2.0.0, 0.2.0.1, 0.3.0, 0.3.1, 0.4.0, 0.4.0.1, 0.4.1, 0.4.2, 0.4.3, 0.4.4, 0.5.0, 0.5.1, 0.5.2, 0.5.3, 0.5.4, 0.5.6, 0.5.7, 0.5.8, 0.5.9, 0.5.10, 0.6.0, 0.6.0.1, 0.7.0, 0.8.0, 0.8.0.1, 0.8.1, 0.8.1.1, 0.8.2, 0.8.3, 0.8.3.1, 0.9.0, 0.9.1, 0.9.2, 0.9.3
Dependenciesbase (==4.*), basic-prelude (>=0.3.3 && <0.4), bytestring, containers (>=0.4.2), hashable, lifted-base (>=0.2), system-filepath (==0.4.*), text, transformers, unordered-containers, vector
LicenseMIT
AuthorMichael Snoyman
Maintainermichael@snoyman.com
CategoryControl, Prelude
Home pagehttps://github.com/snoyberg/classy-prelude
Source repositoryhead: git clone git://github.com/snoyberg/classy-prelude.git
Upload dateTue Feb 26 06:23:20 UTC 2013
Uploaded byMichaelSnoyman
DistributionsDebian:0.9.2, FreeBSD:0.5.7, NixOS:0.9.2
Downloads4749 total (385 in last 30 days)

Modules

[Index]

Downloads

Maintainers' corner

For package maintainers and hackage trustees